<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Documentos extends Model
{
    protected $table = 'dse_doc_documentos';

    public function documentos_alumno() {
        return $this->hasMany('App\DocumentosAlumnos', 'fk_idDocumento', 'id');
    }

    public function observaciones() {
        return $this->hasManyThrough('App\Observaciones', 'App\DocumentosAlumnos', 'fk_idDocumento', 'fk_idDocumentoAlumno');
    }

}
